diff --git a/libglusterfs/src/call-stub.c b/libglusterfs/src/call-stub.c
index 4d6a3b20feb..133b015c76d 100644
--- a/libglusterfs/src/call-stub.c
+++ b/libglusterfs/src/call-stub.c
@@ -2375,7 +2375,6 @@ call_resume(call_stub_t *stub)
 {
     xlator_t *old_THIS = NULL;
 
-    errno = EINVAL;
     GF_VALIDATE_OR_GOTO("call-stub", stub, out);
 
     list_del_init(&stub->list);
@@ -2441,7 +2440,6 @@ call_resume_keep_stub(call_stub_t *stub)
 {
     xlator_t *old_THIS = NULL;
 
-    errno = EINVAL;
     GF_VALIDATE_OR_GOTO("call-stub", stub, out);
 
     list_del_init(&stub->list);
